Bug 1890466 - 4.5.5 node-exporter pods show "failed to parse mountstats: invalid NFS per-operations stats"
Summary: 4.5.5 node-exporter pods show "failed to parse mountstats: invalid NFS per-op...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: ---
: 4.5.z
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1870261
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-22 10:14 UTC by Pawel Krupa
Modified: 2020-11-05 12:47 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1870261
Environment:
Last Closed: 2020-11-05 12:47:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift node_exporter pull 71 0 None closed Bug 1890466: Fix issues with too many log messages in NFS collector 2021-02-01 17:35:44 UTC
Red Hat Product Errata RHBA-2020:4325 0 None None None 2020-11-05 12:47:46 UTC

Comment 3 Junqi Zhao 2020-10-26 03:33:33 UTC
tested with 4.5.0-0.nightly-2020-10-25-174204, bound nfs pv, no "failed to parse mountstats: invalid NFS per-operations stats" errors, example:
# oc -n openshift-monitoring logs -c node-exporter node-exporter-tlpwx
time="2020-10-26T02:06:30Z" level=info msg="Starting node_exporter (version=0.18.1, branch=rhaos-4.5-rhel-7, revision=950a287493d48a41462ca52b0947c2e75746c61e)" source="node_exporter.go:156"
time="2020-10-26T02:06:30Z" level=info msg="Build context (go=go1.13.4, user=root@2082427c3b1a, date=20201025-05:11:06)" source="node_exporter.go:157"
time="2020-10-26T02:06:30Z" level=info msg="Enabled collectors:" source="node_exporter.go:97"
time="2020-10-26T02:06:30Z" level=info msg=" - arp" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - bcache" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - bonding" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - conntrack" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - cpu" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - cpufreq" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - diskstats" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - edac" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - entropy" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - filefd" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - filesystem" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - infiniband" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - ipvs" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - loadavg" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - mdadm" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - meminfo" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - mountstats" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - netclass" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - netdev" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - netstat" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - nfs" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - nfsd" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - pressure" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - sockstat" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - stat" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - textfile" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - time" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - timex" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - uname" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - vmstat" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - xfs" source="node_exporter.go:104"
time="2020-10-26T02:06:30Z" level=info msg=" - zfs" source="node_exporter.go:104"

Comment 6 errata-xmlrpc 2020-11-05 12:47:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.17 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4325


Note You need to log in before you can comment on or make changes to this bug.